> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets all the Signature Options

> Gets all the Signature Options



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json get /commerce/shipping/global/carriers/signatureOptions
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/global/carriers/signatureOptions:
    get:
      tags:
        - CarrierConfigurationGlobal
      summary: Gets all the Signature Options
      description: Gets all the Signature Options
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SignatureOption'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/SignatureOption'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/SignatureOption'
                type: array
          description: Success
components:
  schemas:
    SignatureOption:
      description: Signature options against a carrier
      properties:
        carrierId:
          description: Carrier Id
          nullable: true
          type: string
        isEnabled:
          description: If carrier is enabled for signature option.
          type: boolean
        options:
          description: Supported signature options
          items:
            $ref: '#/components/schemas/Option'
          nullable: true
          type: array
      type: object
    Option:
      description: Option class for signature option
      properties:
        alternateCarrierValue:
          description: Value required by other carrier or carrier aggragator like Easypost
          nullable: true
          type: string
        carrierValue:
          description: Value required by the actual carrier in carrier request
          nullable: true
          type: string
        displayName:
          description: User readable value to be shown to the user
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````